---
title: 418 I'm a teapot
slug: Web/HTTP/Status/418
tags:
  - HTTP
  - HTTP Status Code
  - Reference
---
<p>{{HTTPSidebar}}</p>

<p>The HTTP <strong><code>418 I'm a teapot</code></strong> client error response code indicates that the server refuses to brew coffee because it is, permanently, a teapot. A combined coffee/tea pot that is temporarily out of coffee should instead return 503. This error is a reference to Hyper Text Coffee Pot Control Protocol defined in April Fools' jokes in 1998 and 2014.</p>

<p>Some websites use this response for requests they do not wish to handle, such as automated queries.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox notranslate">418 I'm a teapot</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("2324", "418 I'm a teapot" , "2.3.2")}}</td>
   <td>Hyper Text Coffee Pot Control Protocol (HTCPCP/1.0): Semantics and Content</td>
  </tr>
  <tr>
   <td>{{RFC("7168", "418 I'm a teapot" , "2.3.3")}}</td>
   <td>The Hyper Text Coffee Pot Control Protocol for Tea Efflux Appliances (HTCPCP-TEA): Response Codes</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.status.418")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{interwiki("wikipedia", "Hyper Text Coffee Pot Control Protocol", "Wikipedia: Hyper Text Coffee Pot Control Protocol")}}</li>
</ul>
